<?php
 function obtener_tc_dollar_banxico() 
    {
        header('Content-Type: text/html; charset=UTF-8');
        date_default_timezone_set('America/Mexico_City');
        $hoy= date('Y') . '-' . date('m') . '-' . date('d');
        $fecha_inicio= $hoy;
        $fecha_fin= $hoy;
        $serie= 'SF60653';
        $token= 'b09e9c517a89e82daaf959ab9c148d4903233dd21accfed27edeb4fcb1162eff';
        $url= 'https://www.banxico.org.mx/SieAPIRest/service/v1/series';
        $datos_banxico= json_decode(url_get_contents("$url/$serie/datos/$fecha_inicio/$fecha_fin?token=$token"), true);
 
        foreach($datos_banxico as $bmx => $series)
        {
            foreach($series as $serie => $serieId)
            {
                foreach($serieId as $serieDatos)
                {
                    foreach($serieDatos['datos'] as $datoTC)
                    {
                        $tipo_cambio_array= array('fecha_tipo_cambio' => $datoTC['fecha'], 'tipo_cambio' => $datoTC['dato']);
                    }
                }
            }
        }
        return $tipo_cambio_array;
    }

function url_get_contents ($Url) {
    if (!function_exists('curl_init')){ 
        die('CURL is not installed!');
    }
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $Url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$output = curl_exec($ch);
curl_close($ch);
return $output;
}

$tc_dolar_usa=  obtener_tc_dollar_banxico();

$convmxn = round($tc_dolar_usa['tipo_cambio'],2);


//Registra tipo de cambio
	 $fechaActual=date("Y-m-d");
	 $tc2=$convmxn+(0.40);
	 //$tc2=str_replace(",",".",$tc);
	 $convmxn=$tc2;
	 //Consulta si ya se registro el TC del dia
	 $sql="SELECT COUNT(idtipocam) AS no FROM tipodecambio WHERE fecha='$fechaActual'";
	 $con=mysql_query($sql);
	 $res=mysql_fetch_array($con);
	 //Si no se ha registrado el TC se inserta
	 if($res["no"]==0){
	  $sqltipo="INSERT INTO tipodecambio(fecha,tipocambio) values('$fechaActual',$tc2)";
	  mysql_query($sqltipo);
	 }
	 //Si en la pagina de DOF no hay TC obtengo el último TC que se registró 
	 if($tc2<1){
       $sqlIDTC="SELECT MAX(idtipocam) as ID FROM tipodecambio WHERE tipocambio > 1";
	   $conIDTC=mysql_query($sqlIDTC);
	   $ejeIDTC=mysql_fetch_array($conIDTC);
	   $IdTC=$ejeIDTC['ID'];
	   
	   $sqlTC="SELECT tipocambio FROM tipodecambio WHERE idtipocam = '$IdTC'";
	   $conTC=mysql_query($sqlTC);
	   $ejeTC=mysql_fetch_array($conTC);
	   $convmxn=$ejeTC['tipocambio'];
     }
?>



